Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.ui.about
Class Library

    java.lang.Object
      org.jfree.base.Library
          org.jfree.ui.about.Library

Deprecated. shadow class for deprecation

    public class Library

extends Library

Library specification moved to base package to allow more control over the boot process.

Author:
  David Gilbert

Constructor Summary
`Library(ProjectInfo project)` Deprecated. Constructs a library reference from a ProjectInfo object.
`Library(java.lang.String name, java.lang.String version, java.lang.String licence, java.lang.String info)` Deprecated. Creates a new library reference.

Method Summary

Methods inherited from class org.jfree.base.Library
`equals, getInfo, getLicenceName, getName, getVersion, hashCode, setInfo, setLicenceName, setName, setVersion`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Library

    public Library(java.lang.String name,
                   java.lang.String version,
                   java.lang.String licence,
                   java.lang.String info)

  Deprecated.
  Creates a new library reference.

  Parameters:
    `name` - the name.
    `version` - the version.
    `licence` - the licence.
    `info` - the web address or other info.

### Library

    public Library(ProjectInfo project)

  Deprecated.
  Constructs a library reference from a ProjectInfo object.

  Parameters:
    `project` - information about a project.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD